Cannot install vagrant-vmware-workstation versions 4.0.25 or 5.0.0 on Windows

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Cannot install vagrant-vmware-workstation versions 4.0.25 or 5.0.0 on Windows

Stefan Smith
Hi,

I'm unable to install the latest versions 4.0.25 or 5.0.0 of the vagrant-vmware-workstation plugin. Version 4.0.24 installs without a problem. I'm on Windows 10 in a corporate environment.

Running vagrant plugin install vagrant-vmware-workstation --plugin-version 5.0.0 fails with the following output (username replaced with "xxxx"): 

-----------------

Installing the 'vagrant-vmware-workstation' plugin. This can take a few minutes...
Fetching: vagrant-share-1.1.9.gem (100%)
Fetching: vagrant-vmware-workstation-5.0.0.gem (100%)
Building native extensions.  This could take a while...

Vagrant is installing the VMware plugin which requires
Administrator access. You may be prompted for your password to
complete setup.

Failed to complete install: exec: "U:\\windows\\system32\\wbem\\wmic.exe": file does not exist
Bundler, the underlying system Vagrant uses to install plugins,
reported an error. The error is shown below. These errors are usually
caused by misconfigured plugin installations or transient network
issues. The error from Bundler is:

ERROR: Failed to build gem native extension.

    current directory: C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0/ext/vagrant-vmware-desktop
C:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe -r ./siteconf20171019-11388-1knpft3.rb extconf.rb
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

Provided configuration options:
        --with-opt-dir
        --without-opt-dir
        --with-opt-include
        --without-opt-include=${opt-dir}/include
        --with-opt-lib
        --without-opt-lib=${opt-dir}/lib
        --with-make-prog
        --without-make-prog
        --srcdir=.
        --curdir
        --ruby=C:/HashiCorp/Vagrant/embedded/mingw64/bin/$(RUBY_BASE_NAME)

extconf failed, exit code 1

Gem files will remain installed in C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0 for inspection.
Results logged to C:/Users/xxxx/.vagrant.d/gems/2.3.4/extensions/x64-mingw32/2.3.0/vagrant-vmware-workstation-5.0.0/gem_make.out

-----------------

If I first run SET HOMEDRIVE=C: 
Running vagrant plugin install vagrant-vmware-workstation --plugin-version 5.0.0 does not progress beyond the following output:

-----------------

Installing the 'vagrant-vmware-workstation --version '5.0.0'' plugin. This can take a few minutes...
Fetching: vagrant-vmware-workstation-5.0.0.gem (100%)
Building native extensions.  This could take a while...

Vagrant is installing the VMware plugin which requires
Administrator access. You may be prompted for your password to
complete setup.

-----------------

Analysing the waiting process chain, it is as follows:

vagrant  plugin install vagrant-vmware-workstation --plugin-version 5.0.0
ruby C:\HashiCorp\Vagrant\embedded\gems\gems\vagrant-2.0.0\bin\vagrant plugin install vagrant-vmware-workstation --plugin-version 5.0.0
C:\Windows\system32\cmd.exe /c "C:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe -r ./siteconf20171019-12892-1bui6qc.rb extconf.rb 2>&1"
C:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe  -r ./siteconf20171019-12892-1bui6qc.rb extconf.rb
.\vagrant-vmware-installer_windows_amd64.exe install
C:\windows\system32\wbem\wmic.exe useraccount where "SID like 'S-1-5-%-500'" get name

It seems to be hanging in WMIC.exe. Simply running C:\windows\system32\wbem\wmic.exe useraccount also hangs.

Stef

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/77b2973f-cca5-4594-aec1-2de12cb1e10d%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Cannot install vagrant-vmware-workstation versions 4.0.25 or 5.0.0 on Windows

Alvaro Miranda Aguilera
hello

for the vmware plugin the best is contact support.

Can you please email [hidden email] 

Thanks
Alvaro.

On Thu, Oct 19, 2017 at 10:59 AM, Stefan Smith <[hidden email]> wrote:
Hi,

I'm unable to install the latest versions 4.0.25 or 5.0.0 of the vagrant-vmware-workstation plugin. Version 4.0.24 installs without a problem. I'm on Windows 10 in a corporate environment.

Running vagrant plugin install vagrant-vmware-workstation --plugin-version 5.0.0 fails with the following output (username replaced with "xxxx"): 

-----------------

Installing the 'vagrant-vmware-workstation' plugin. This can take a few minutes...
Fetching: vagrant-share-1.1.9.gem (100%)
Fetching: vagrant-vmware-workstation-5.0.0.gem (100%)
Building native extensions.  This could take a while...

Vagrant is installing the VMware plugin which requires
Administrator access. You may be prompted for your password to
complete setup.

Failed to complete install: exec: "U:\\windows\\system32\\wbem\\wmic.exe": file does not exist
Bundler, the underlying system Vagrant uses to install plugins,
reported an error. The error is shown below. These errors are usually
caused by misconfigured plugin installations or transient network
issues. The error from Bundler is:

ERROR: Failed to build gem native extension.

    current directory: C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0/ext/vagrant-vmware-desktop
C:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe -r ./siteconf20171019-11388-1knpft3.rb extconf.rb
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

Provided configuration options:
        --with-opt-dir
        --without-opt-dir
        --with-opt-include
        --without-opt-include=${opt-dir}/include
        --with-opt-lib
        --without-opt-lib=${opt-dir}/lib
        --with-make-prog
        --without-make-prog
        --srcdir=.
        --curdir
        --ruby=C:/HashiCorp/Vagrant/embedded/mingw64/bin/$(RUBY_BASE_NAME)

extconf failed, exit code 1

Gem files will remain installed in C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0 for inspection.
Results logged to C:/Users/xxxx/.vagrant.d/gems/2.3.4/extensions/x64-mingw32/2.3.0/vagrant-vmware-workstation-5.0.0/gem_make.out

-----------------

If I first run SET HOMEDRIVE=C: 
Running vagrant plugin install vagrant-vmware-workstation --plugin-version 5.0.0 does not progress beyond the following output:

-----------------

Installing the 'vagrant-vmware-workstation --version '5.0.0'' plugin. This can take a few minutes...
Fetching: vagrant-vmware-workstation-5.0.0.gem (100%)
Building native extensions.  This could take a while...

Vagrant is installing the VMware plugin which requires
Administrator access. You may be prompted for your password to
complete setup.

-----------------

Analysing the waiting process chain, it is as follows:

vagrant  plugin install vagrant-vmware-workstation --plugin-version 5.0.0
ruby C:\HashiCorp\Vagrant\embedded\gems\gems\vagrant-2.0.0\bin\vagrant plugin install vagrant-vmware-workstation --plugin-version 5.0.0
C:\Windows\system32\cmd.exe /c "C:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe -r ./siteconf20171019-12892-1bui6qc.rb extconf.rb 2>&1"
C:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe  -r ./siteconf20171019-12892-1bui6qc.rb extconf.rb
.\vagrant-vmware-installer_windows_amd64.exe install
C:\windows\system32\wbem\wmic.exe useraccount where "SID like 'S-1-5-%-500'" get name

It seems to be hanging in WMIC.exe. Simply running C:\windows\system32\wbem\wmic.exe useraccount also hangs.

Stef

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/77b2973f-cca5-4594-aec1-2de12cb1e10d%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.



--
Alvaro

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/CAHqq0exdEkjx-D-vZraxkUSGwMmbZOk1Q1X56uugCiwQyO8E_A%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Cannot install vagrant-vmware-workstation versions 4.0.25 or 5.0.0 on Windows

Eric Beach
In reply to this post by Stefan Smith
I get pretty much the same result when trying to install the Workstation plugin.  No response from Support, as of yet. 



PS C
:\> vagrant plugin install vagrant-vmware-workstation
Installing the 'vagrant-vmware-workstation' plugin. This can take a few minutes...
Building native extensions.  This could take a while...


Vagrant is installing the VMware plugin which requires
Administrator access. You may be prompted for your password to
complete setup
.


Failed to complete install: exec: "H:\\windows\\system32\\wbem\\wmic.exe": file does not exist
Bundler, the underlying system Vagrant uses to install plugins,
reported an error
. The error is shown below. These errors are usually
caused
by misconfigured plugin installations or transient network
issues
. The error from Bundler is:


ERROR
: Failed to build gem native extension.


    current directory
: C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0/ext/vagrant-vmware-desktop
C
:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe -r ./siteconf20171026-146968-1oumt80.rb extconf.rb
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries
and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options
.


Provided configuration options:
       
--with-opt-dir
       
--without-opt-dir
       
--with-opt-include
       
--without-opt-include=${opt-dir}/include
       
--with-opt-lib
       
--without-opt-lib=${opt-dir}/lib
       
--with-make-prog
       
--without-make-prog
       
--srcdir=.
       
--curdir
       
--ruby=C:/HashiCorp/Vagrant/embedded/mingw64/bin/$(RUBY_BASE_NAME)


extconf failed
, exit code 1


Gem files will remain installed in C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0 for inspection.
Results logged to C:/Users/xxxx/.vagrant.d/gems/2.3.4/extensions/x64-mingw32/2.3.0/vagrant-vmware-workstation-5.0.0/gem_make.out

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/a4f448a7-6979-44b2-9b76-fc6fc28cf8b0%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Cannot install vagrant-vmware-workstation versions 4.0.25 or 5.0.0 on Windows

Alvaro Miranda Aguilera
Hello Eric

Sorry for the delay there.

A bug has been identified and plugin 5.0.1 should be released shortly.

That will include a fix for the issue you are seeing.

Thanks
Alvaro.

On Thu, Oct 26, 2017 at 12:35 PM, Eric Beach <[hidden email]> wrote:
I get pretty much the same result when trying to install the Workstation plugin.  No response from Support, as of yet. 



PS C
:\> vagrant plugin install vagrant-vmware-workstation
Installing the 'vagrant-vmware-workstation' plugin. This can take a few minutes...
Building native extensions.  This could take a while...


Vagrant is installing the VMware plugin which requires
Administrator access. You may be prompted for your password to
complete setup
.


Failed to complete install: exec: "H:\\windows\\system32\\wbem\\wmic.exe": file does not exist
Bundler, the underlying system Vagrant uses to install plugins,
reported an error
. The error is shown below. These errors are usually
caused
by misconfigured plugin installations or transient network
issues
. The error from Bundler is:


ERROR
: Failed to build gem native extension.


    current directory
: C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0/ext/vagrant-vmware-desktop
C
:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe -r ./siteconf20171026-146968-1oumt80.rb extconf.rb
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries
and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options
.


Provided configuration options:
       
--with-opt-dir
       
--without-opt-dir
       
--with-opt-include
       
--without-opt-include=${opt-dir}/include
       
--with-opt-lib
       
--without-opt-lib=${opt-dir}/lib
       
--with-make-prog
       
--without-make-prog
       
--srcdir=.
       
--curdir
       
--ruby=C:/HashiCorp/Vagrant/embedded/mingw64/bin/$(RUBY_BASE_NAME)


extconf failed
, exit code 1


Gem files will remain installed in C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0 for inspection.
Results logged to C:/Users/xxxx/.vagrant.d/gems/2.3.4/extensions/x64-mingw32/2.3.0/vagrant-vmware-workstation-5.0.0/gem_make.out

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/a4f448a7-6979-44b2-9b76-fc6fc28cf8b0%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.



--
Alvaro

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/CAHqq0eyR%2BiqjmSF72siY3hxm8B41dGgRejR04buD1ehPQyD%3D1g%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Cannot install vagrant-vmware-workstation versions 4.0.25 or 5.0.0 on Windows

Eric Beach
Thank you!

On Thursday, October 26, 2017 at 3:29:55 PM UTC-4, Alvaro Miranda Aguilera wrote:
Hello Eric

Sorry for the delay there.

A bug has been identified and plugin 5.0.1 should be released shortly.

That will include a fix for the issue you are seeing.

Thanks
Alvaro.

On Thu, Oct 26, 2017 at 12:35 PM, Eric Beach <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="ZKAK5U8pCAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">ebe...@...> wrote:
I get pretty much the same result when trying to install the Workstation plugin.  No response from Support, as of yet. 



PS C
:\> vagrant plugin install vagrant-vmware-workstation
Installing the 'vagrant-vmware-workstation' plugin. This can take a few minutes...
Building native extensions.  This could take a while...


Vagrant is installing the VMware plugin which requires
Administrator access. You may be prompted for your password to
complete setup
.


Failed to complete install: exec: "H:\\windows\\system32\\wbem\\wmic.exe": file does not exist
Bundler, the underlying system Vagrant uses to install plugins,
reported an error
. The error is shown below. These errors are usually
caused
by misconfigured plugin installations or transient network
issues
. The error from Bundler is:


ERROR
: Failed to build gem native extension.


    current directory
: C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0/ext/vagrant-vmware-desktop
C
:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe -r ./siteconf20171026-146968-1oumt80.rb extconf.rb
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries
and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options
.


Provided configuration options:
       
--with-opt-dir
       
--without-opt-dir
       
--with-opt-include
       
--without-opt-include=${opt-dir}/include
       
--with-opt-lib
       
--without-opt-lib=${opt-dir}/lib
       
--with-make-prog
       
--without-make-prog
       
--srcdir=.
       
--curdir
       
--ruby=C:/HashiCorp/Vagrant/embedded/mingw64/bin/$(RUBY_BASE_NAME)


extconf failed
, exit code 1


Gem files will remain installed in C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0 for inspection.
Results logged to C:/Users/xxxx/.vagrant.d/gems/2.3.4/extensions/x64-mingw32/2.3.0/vagrant-vmware-workstation-5.0.0/gem_make.out

--
This mailing list is governed under the HashiCorp Community Guidelines - <a href="https://www.hashicorp.com/community-guidelines.html" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.hashicorp.com%2Fcommunity-guidelines.html\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGHa_CaKfZaJiwbkUndUQbVGlQCDw&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.hashicorp.com%2Fcommunity-guidelines.html\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGHa_CaKfZaJiwbkUndUQbVGlQCDw&#39;;return true;">https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: <a href="https://github.com/mitchellh/vagrant/issues" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fmitchellh%2Fvagrant%2Fissues\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHxcA5DuHlQlPInMi_k1Pz4pMNqNw&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fgithub.com%2Fmitchellh%2Fvagrant%2Fissues\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHxcA5DuHlQlPInMi_k1Pz4pMNqNw&#39;;return true;">https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="ZKAK5U8pCAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">vagrant-up+...@googlegroups.com.
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/vagrant-up/a4f448a7-6979-44b2-9b76-fc6fc28cf8b0%40googlegroups.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/vagrant-up/a4f448a7-6979-44b2-9b76-fc6fc28cf8b0%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/vagrant-up/a4f448a7-6979-44b2-9b76-fc6fc28cf8b0%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/vagrant-up/a4f448a7-6979-44b2-9b76-fc6fc28cf8b0%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.



--
Alvaro

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/064764b9-912e-4d24-bac4-26132a06661e%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Cannot install vagrant-vmware-workstation versions 4.0.25 or 5.0.0 on Windows

Alvaro Miranda Aguilera
Hello

plugin 5.0.1 has been released.

On Thu, Oct 26, 2017 at 4:46 PM, Eric Beach <[hidden email]> wrote:
Thank you!

On Thursday, October 26, 2017 at 3:29:55 PM UTC-4, Alvaro Miranda Aguilera wrote:
Hello Eric

Sorry for the delay there.

A bug has been identified and plugin 5.0.1 should be released shortly.

That will include a fix for the issue you are seeing.

Thanks
Alvaro.

On Thu, Oct 26, 2017 at 12:35 PM, Eric Beach <[hidden email]> wrote:
I get pretty much the same result when trying to install the Workstation plugin.  No response from Support, as of yet. 



PS C
:\> vagrant plugin install vagrant-vmware-workstation
Installing the 'vagrant-vmware-workstation' plugin. This can take a few minutes...
Building native extensions.  This could take a while...


Vagrant is installing the VMware plugin which requires
Administrator access. You may be prompted for your password to
complete setup
.


Failed to complete install: exec: "H:\\windows\\system32\\wbem\\wmic.exe": file does not exist
Bundler, the underlying system Vagrant uses to install plugins,
reported an error
. The error is shown below. These errors are usually
caused
by misconfigured plugin installations or transient network
issues
. The error from Bundler is:


ERROR
: Failed to build gem native extension.


    current directory
: C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0/ext/vagrant-vmware-desktop
C
:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe -r ./siteconf20171026-146968-1oumt80.rb extconf.rb
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries
and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options
.


Provided configuration options:
       
--with-opt-dir
       
--without-opt-dir
       
--with-opt-include
       
--without-opt-include=${opt-dir}/include
       
--with-opt-lib
       
--without-opt-lib=${opt-dir}/lib
       
--with-make-prog
       
--without-make-prog
       
--srcdir=.
       
--curdir
       
--ruby=C:/HashiCorp/Vagrant/embedded/mingw64/bin/$(RUBY_BASE_NAME)


extconf failed
, exit code 1


Gem files will remain installed in C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.0 for inspection.
Results logged to C:/Users/xxxx/.vagrant.d/gems/2.3.4/extensions/x64-mingw32/2.3.0/vagrant-vmware-workstation-5.0.0/gem_make.out

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to vagrant-up+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/a4f448a7-6979-44b2-9b76-fc6fc28cf8b0%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.



--
Alvaro

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/064764b9-912e-4d24-bac4-26132a06661e%40googlegroups.com.

For more options, visit https://groups.google.com/d/optout.



--
Alvaro

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/CAHqq0ex0T2euk4KZcaWQe%3DRVVDP7_pTPMCt4dm5t%3DtOJbqiscQ%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Cannot install vagrant-vmware-workstation versions 4.0.25 or 5.0.0 on Windows

Eric Beach
The update fixed the previous error, but now it's stuck with a more generic error:

PS C:\> vagrant plugin install vagrant-vmware-workstation --verbose
Installing the 'vagrant-vmware-workstation' plugin. This can take a few minutes...
Building native extensions.  This could take a while...
Waiting for cleanup before exiting...
Bundler, the underlying system Vagrant uses to install plugins,
reported an error. The error is shown below. These errors are usually
caused by misconfigured plugin installations or transient network
issues. The error from Bundler is:

ERROR: Failed to build gem native extension.

    current directory: C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.1/ext/vagrant-vmware-desktop
C:/HashiCorp/Vagrant/embedded/mingw64/bin/ruby.exe -r ./siteconf20171101-66244-1phg9rd.rb extconf.rb
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

Provided configuration options:
        --with-opt-dir
        --without-opt-dir
        --with-opt-include
        --without-opt-include=${opt-dir}/include
        --with-opt-lib
        --without-opt-lib=${opt-dir}/lib
        --with-make-prog
        --without-make-prog
        --srcdir=.
        --curdir
        --ruby=C:/HashiCorp/Vagrant/embedded/mingw64/bin/$(RUBY_BASE_NAME)
extconf.rb:19:in `system': Interrupt
        from extconf.rb:19:in `<main>'

extconf failed, exit code 1

Gem files will remain installed in C:/Users/xxxx/.vagrant.d/gems/2.3.4/gems/vagrant-vmware-workstation-5.0.1 for inspection.
Results logged to C:/Users/xxxx/.vagrant.d/gems/2.3.4/extensions/x64-mingw32/2.3.0/vagrant-vmware-workstation-5.0.1/gem_make.out 

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/af685c5d-bff8-439d-8e8e-e7f373c95cce%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.